# atomic_image – Manage the container images on the atomic host platform

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage the container images on the atomic host platform.

- Allows to execute the commands specified by the RUN label in the container image when present.

## Requirements

The below requirements are needed on the host that executes this module.

- atomic

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

backend
-
added in 2.4

Choices:
- docker
- ostree

Define the backend where the image is pulled.

name - / required |  | Name of the container image.

started
boolean

Choices:
- no
- yes ←

Start or Stop the container.

state
-

Choices:
- absent
- latest ←
- present

The state of the container image.
The state `latest` will ensure container image is upgraded to the latest version and forcefully restart container, if running.

## Notes

Note

- Host should support `atomic` command.

## Examples

    - name: Execute the run command on rsyslog container image (atomic run rhel7/rsyslog)
      atomic_image:
        name: rhel7/rsyslog
        state: latest

    - name: Pull busybox to the OSTree backend
      atomic_image:
        name: busybox
        state: latest
        backend: ostree

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | The command standard output Sample: [{"u'Using default tag": "latest ...'"}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Saravanan KR (@krsacme)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.